curl --request GET \
--url https://api.flutterwave.com/v3/bills/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'{
"status": "success",
"message": "Bill summary fetched successfully",
"data": [
{
"currency": "NGN",
"sum_bills": 1910,
"sum_commission": 30,
"sum_dstv": 1910,
"sum_airtime": 0,
"sum_ikedc": 0,
"sum_firs": 0,
"sum_ekedc": 0,
"sum_benindisco": 0,
"sum_kadunadisco": 0,
"sum_data": 0,
"count_dstv": 3,
"count_airtime": 0,
"count_ikedc": 0,
"count_ekedc": 0,
"count_benindisco": 0,
"count_kadunadisco": 0,
"count_firs": 0,
"count_data": 0
}
]
}Fetch summary report for bill payment
curl --request GET \
--url https://api.flutterwave.com/v3/bills/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'{
"status": "success",
"message": "Bill summary fetched successfully",
"data": [
{
"currency": "NGN",
"sum_bills": 1910,
"sum_commission": 30,
"sum_dstv": 1910,
"sum_airtime": 0,
"sum_ikedc": 0,
"sum_firs": 0,
"sum_ekedc": 0,
"sum_benindisco": 0,
"sum_kadunadisco": 0,
"sum_data": 0,
"count_dstv": 3,
"count_airtime": 0,
"count_ikedc": 0,
"count_ekedc": 0,
"count_benindisco": 0,
"count_kadunadisco": 0,
"count_firs": 0,
"count_data": 0
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
application/json "application/json"
Was this page helpful?